رفع مشکل Uncaught Error: Bootstrap dropdown require Popper.js

ممکن است شما هم از جمله افرادی باشید که در هنگام انجام پروژه ها با عمل نکردن برخی از ابزارها مواجه شده باشید. در این مقاله از سری مقالات آموزش وردپرس ، قصد داریم یکی از رایجترین آنها با عنوان Uncaught Error: Bootstrap dropdown require Popper.js که باعث درست عمل نکردن Tab ها و Dropdrown ها می شود را معرفی نماییم.

در صورتیکه با مشکل فوق که بدلیل نبود فایل popper.js بوجود می آید مواجه گشتید، برای حل آن مطابق دستور العمل زیر اقدام نمایید:

مطابق تصویر 1 ابتدا به سایت getbootstrap.com رفته و بخش Documentation را انتخاب می کنیم.

رفع مشکل Uncaught Error Bootstrap dropdown require Popper.js تصویر 1

تصویر 1

رفع مشکل Uncaught Error Bootstrap dropdown require Popper.js تصویر 2

تصویر 2

پس از وارد شدن به صفحه Introduction به اندازه ای صفحه را به سمت پایین اسکرول می کنیم تا به قسمت JS برسیم.

رفع مشکل Uncaught Error Bootstrap dropdown require Popper.js تصویر 3

تصویر 3

حال آدرس مشخص شده در تصویر 3 را مطابق تصویر شماره 4 در مرورگر کپی می کنیم.

رفع مشکل Uncaught Error Bootstrap dropdown require Popper.js تصویر 4

تصویر 4

رفع مشکل Uncaught Error Bootstrap dropdown require Popper.js تصویر 5

تصویر 5

حال مطابق تصویر شماره 5 از صفحه Save as گرفته و در مسیر کتابخانه های پوشه JS (تصویر 6) با همان نام پیشنهاد شده ذخیره می نماییم.

رفع مشکل Uncaught Error Bootstrap dropdown require Popper.js تصویر 6

تصویر 6

حال می توانید با آدرس دهی این فایل مطابق فایل های دیگر از آن استفاده نمایید.

 

این مقاله از سری مقالات آموزش وردپرس بود که بطور اختصاصی بر روی ” رفع مشکل Uncaught Error: Bootstrap dropdown require Popper.js ” تمرکز داشت. امیدوارم که مفید واقع شده باشه. دیدگاه یادتون نره (:

دیدگاه ها

Comments
25 دی 1399

سلام خسته نباشید . من این کاررو انجام داادم ولی بازم تب های من باز نمیشوند یعنی با اینکه هرمحتوا را در داخل لیست مخصوص بخودش قرار دادم ولی بازم باز نمیشه و اصلا محتوا در لیست خودش قرار نمیگیره ممنون میشم راهنماییم کنید

    25 دی 1399

    سلام آقای زارعی
    چه نسخه ای از Bootstrap رو استفاده می کنید؟

22 شهریور 1400

سلام خدا قوت
من از ورژن 4.1 استفاده میکنم به این ادرس https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js هم مراجعه کردم کاری رو که گفتید انجام دادم اما به نتیجه نرسیدم لطفا راهنمایی بفرمایید

22 شهریور 1400

سلام خدا قوت
من از ورژن 4.1 استفاده میکنم به این ادرس https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js هم مراجعه کردم کاری رو که گفتید انجام دادم اما به نتیجه نرسیدم لطفا راهنمایی بفرمایید

    22 شهریور 1400

    سلام، ممنونم
    شما از آخرین ورژن popper هم استفاده کردید؟

      24 شهریور 1400

      سلام منظورتون ورژن 5.1 است. این رو میفرمایید

      ممنون میشم راهنمایی کنید.

24 شهریور 1400
24 شهریور 1400

این منظورتون